package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TDevData;
import com.chinaitop.depot.intelligent.basicdata.model.TDevDataExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TDevDataMapper {
    int countByExample(TDevDataExample example);

    int deleteByExample(TDevDataExample example);

    int deleteByPrimaryKey(String id);

    int insert(TDevData record);

    int insertSelective(TDevData record);

    List<TDevData> selectByExample(TDevDataExample example);

    TDevData selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TDevData record, @Param("example") TDevDataExample example);

    int updateByExample(@Param("record") TDevData record, @Param("example") TDevDataExample example);

    int updateByPrimaryKeySelective(TDevData record);

    int updateByPrimaryKey(TDevData record);
}